> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /ad-stack/integration/:type/:id

> Fetches an individual integration, The response includes everything needed to configure that integration within an ad stack, such as the schema for any config fields



## OpenAPI

````yaml /openapi.json get /v1/ad-stack/integration/{type}/{id}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/ad-stack/integration/{type}/{id}:
    get:
      tags:
        - Ad Stack/Integration
        - public
      summary: /ad-stack/integration/:type/:id
      description: >-
        Fetches an individual integration, The response includes everything
        needed to configure that integration within an ad stack, such as the
        schema for any config fields
      parameters:
        - name: type
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: id
          in: path
          description: ''
          required: true
          example: 0
          schema:
            type: integer
        - name: uid
          in: query
          description: Publisher ID
          required: false
          schema:
            type: integer
            default: <integer>
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  account_name:
                    type: string
                  title:
                    type: string
                  sub_title:
                    type: string
                  type:
                    type: string
                  description:
                    type: string
                  icon:
                    type: string
                  icon_dark:
                    type: string
                  schema:
                    type: object
                    properties: {}
                  success:
                    type: boolean
                required:
                  - id
                  - account_name
                  - title
                  - sub_title
                  - type
                  - description
                  - icon
                  - icon_dark
                  - schema
                  - success
              example:
                id: 1
                account_name: Shop MPU
                title: Image Fallback
                sub_title: Fallback Creative
                type: fallback
                description: Image fallback for when an ad slot fails to fill.
                icon: https://cdn.tagdeliver.com/assets/demo-ads/Leaderboard@1x.png
                icon_dark: https://cdn.tagdeliver.com/assets/demo-ads/Leaderboard@1x.png
                schema:
                  type: object
                  properties:
                    source:
                      title: Image
                      type: string
                      format: data-url
                      readOnly: true
                    source_2:
                      title: Image (@x2)
                      type:
                        - string
                        - 'null'
                      format: data-url
                      description: >-
                        Optionally provide a secondary copy of your image at
                        exactly twice the size, for use on high resolution
                        screens.
                      readOnly: true
                    link:
                      title: Link
                      type: string
                      format: uri
                      description: The https link that users will click through to.
                      readOnly: true
                    sizes:
                      title: Sizes
                      type: array
                      uniqueItems: true
                      items:
                        type: string
                      description: >-
                        Control the supported sizes for this creative, so when
                        multi-size units adjust for device type, so can the
                        creatives. Leave blank to support any/all sizes.
                      readOnly: true
                    weight:
                      title: Weight
                      type: integer
                      default: 1
                      description: >-
                        Miscellaneous number to weight the serving of multiple
                        fallback creatives. E.g. set one creative to 1 and
                        another to 2 to have the second creative serve twice as
                        much as the first. Leave blank to weight equally.
                  required: []
                  definitions:
                    iab_sizes_anyOf:
                      anyOf:
                        - title: 468x60 (Banner)
                          const: 468x60
                        - title: 970x250 (Billboard)
                          const: 970x250
                        - title: 120x60 (Financial)
                          const: 120x60
                        - title: fluid (Fluid)
                          const: fluid
                        - title: 300x600 (Halfpage)
                          const: 300x600
                        - title: 320x100 (Large Mobile Banner)
                          const: 320x100
                        - title: 336x280 (Large Rectangle)
                          const: 336x280
                        - title: 728x90 (Leaderboard)
                          const: 728x90
                        - title: 300x50 (Mobile Banner)
                          const: 300x50
                        - title: 1080x1920 (Mobile Interstitial)
                          const: 1080x1920
                        - title: 640x1136 (Mobile Interstitial)
                          const: 640x1136
                        - title: 750x1334 (Mobile Interstitial)
                          const: 750x1334
                        - title: 480x320 (Mobile Landscape Full-Screen)
                          const: 480x320
                        - title: 216x36 (Mobile Large Banner)
                          const: 216x36
                        - title: 320x50 (Mobile Leaderboard)
                          const: 320x50
                        - title: 168x28 (Mobile Medium Banner)
                          const: 168x28
                        - title: 320x480 (Mobile Portrait Full-Screen)
                          const: 320x480
                        - title: 120x20 (Mobile Small Banner)
                          const: 120x20
                        - title: 300x250 (MPU)
                          const: 300x250
                        - title: 120x600 (Old Skyscraper)
                          const: 120x600
                        - title: 1x1 (Pixel)
                          const: 1x1
                        - title: 300x1050 (Portrait)
                          const: 300x1050
                        - title: 160x600 (Skyscraper)
                          const: 160x600
                        - title: 250x250 (Square)
                          const: 250x250
                        - title: 970x90 (Super Leaderboard)
                          const: 970x90
                        - title: 250x360 (Triple Widescreen)
                          const: 250x360
                success: true
          headers: {}
      deprecated: true
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````